% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/censored_info.R
\name{censored_info}
\alias{censored_info}
\title{Compute mean estimate for censored data}
\usage{
censored_info(y, status)
}
\arguments{
\item{y}{Numeric vector of (log-transformed) survival times.}

\item{status}{Numeric vector; event indicator (1 = event, 0 = censored).}
}
\value{
A list with elements:
\item{mu}{Estimated mean of survival times.}
\item{sd}{Estimated standard deviation of survival times.}
}
\description{
Estimates the mean and standard deviation for right-censored survival data.
Uses the \code{afthd} package if available (placeholder), else \code{survival}, and
otherwise falls back to the naive mean among observed events.
}
